For the complete documentation index, see llms.txt. This page is also available as Markdown.

Wallet

Get the futures wallet balance on PointPay Exchange.

Details

GET https://api.pointpay.io/fapi/v1/private/balance/wallet

Headers

Name
Type
Description

X-TXC-APIKEY*

STRING

Public API key

X-TXC-PAYLOAD*

STRING

Base64-encoded request body

X-TXC-SIGNATURE*

STRING

HmacSHA512 signature of the request body

CURL Example
curl -X GET "https://api.pointpay.io/fapi/v1/private/balance/wallet" \
  -H "accept: application/json" \
  -H "X-TXC-APIKEY: <api-key>" \
  -H "X-TXC-PAYLOAD: <base64-payload>" \
  -H "X-TXC-SIGNATURE: <signature>"

Response parameters:

Name
Type
Description

totalEquity

STRING

Total account equity

totalMarginBalance

STRING

Total margin balance

totalAvailableBalance

STRING

Total available balance

totalWalletBalance

STRING

Total wallet balance

totalPerpUPL

STRING

Total perpetual unrealized profit and loss

accountIMRate

STRING

Account initial margin rate

totalMaintenanceMarginByMp

STRING

Total maintenance margin by mark price

totalInitialMargin

STRING

Total initial margin

accountMMRate

STRING

Account maintenance margin rate

accountMMRateByMp

STRING

Account maintenance margin rate by mark price

accountIMRateByMp

STRING

Account initial margin rate by mark price

totalInitialMarginByMp

STRING

Total initial margin by mark price

totalMaintenanceMargin

STRING

Total maintenance margin

coins

ARRAY

Wallet balances by coin

Each item in coins contains:

Name
Type
Description

equity

STRING

Coin equity

usdValue

STRING

Coin value in USD

unrealisedPnl

STRING

Unrealized profit and loss

cumRealisedPnl

STRING

Cumulative realized profit and loss

walletBalance

STRING

Wallet balance

availableBalance

STRING

Available balance

totalOrderIM

STRING

Total order initial margin

totalPositionMM

STRING

Total position maintenance margin

totalPositionIM

STRING

Total position initial margin

ticker

STRING

Coin ticker

name

STRING

Coin name

image

STRING

Coin image URL

Response example

Response example

Returned when the request is invalid.

Common reasons:

  • Invalid request format

  • Invalid headers

Response example

Returned when authentication headers are missing / invalid or API Keys are not enabled.

Last updated